/* File constant.c 
* 
* Programmed by Jack W. Crenshaw, Crenshaw Technologies 
* 
* Defines commonly used constants for use by other modules 
* The method used here requires only one copy of each constant. 
* The disadvantage is, all the constants are global, and the file 
* must be linked into the program as an ordinary .cpp file.  If you 
* don't like this idea, use it as a header file. In that case, 
* don't forget to declare the variables as static, to avoid name 
* conflicts. 
*/

//#include <math.h>
#include "constant.h"

double pi;
double halfpi;
double pi_over_four;
double pi_over_six;
double twopi;
double radians_per_degree;
double degrees_per_radian;
double root_2;
double sin_45;
double sin_30;
double cos_30;
double BIG_FLOAT;
double ln2;


void InitializeConstants(void)
{

	pi = 3.1415926535897932384626433832795;
	halfpi = pi / 2.0;
	pi_over_four = pi / 4.0;
	pi_over_six = pi / 6.0;
	twopi  = 2.0 * pi;
	radians_per_degree = pi/180.0;
	degrees_per_radian = 180.0/pi;
	root_2 = 1.414213562;					// sqrt(2.0);
	sin_45 = root_2 / 2.0;
	sin_30 = 0.5;
	cos_30 = 0.866025403;					// sqrt(0.75);
	BIG_FLOAT = 1.0e20;
	ln2 = 0.301029995;						// log(2.0);
}




